MongoCursor::key
MongoCursor::next
MongoCursor
PHP Manual

# MongoCursor::limit

(PECL mongo >=0.9.0)

MongoCursor::limit — Limits the number of results returned

### Description

public MongoCursor MongoCursor::limit ( int `$num` )

### Parameters

`num`

  The number of results to return.

### Return Values

Returns this cursor.

### Errors/Exceptions

Throws MongoCursorException if this cursor has started iterating.

### See Also

- MongoDB core docs on » limit.
- MongoCursor::batchSize() - Limits the number of elements returned in one batch.
- MongoCursor::skip() - Skips a number of results

MongoCursor::key
MongoCursor::next
MongoCursor
PHP Manual